com.sun.syndication.feed.synd

## Class SyndCategoryImpl

- java.lang.Object
- - com.sun.syndication.feed.synd.SyndCategoryImpl

All Implemented Interfaces:
  SyndCategory, java.io.Serializable, java.lang.Cloneable

    public class SyndCategoryImpl
    extends java.lang.Object
    implements java.io.Serializable, SyndCategory

Bean for categories of SyndFeedImpl feeds and entries.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyndCategoryImpl()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getName()` Returns the category name.
`java.lang.String` `getTaxonomyUri()` Returns the category taxonomy URI.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setName(java.lang.String name)` Sets the category name.
`void` `setTaxonomyUri(java.lang.String taxonomyUri)` Sets the category taxonomy URI.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyndCategoryImpl

    public SyndCategoryImpl()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Specified by:
  `clone` in interface `SyndCategory`
Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getName

    public java.lang.String getName()

Returns the category name.

Specified by:
  `getName` in interface `SyndCategory`
Returns:
  the category name, null if none.

#### setName

    public void setName(java.lang.String name)

Sets the category name.

Specified by:
  `setName` in interface `SyndCategory`
Parameters:
  `name` - the category name to set, null if none.

#### getTaxonomyUri

    public java.lang.String getTaxonomyUri()

Returns the category taxonomy URI.

Specified by:
  `getTaxonomyUri` in interface `SyndCategory`
Returns:
  the category taxonomy URI, null if none.

#### setTaxonomyUri

    public void setTaxonomyUri(java.lang.String taxonomyUri)

Sets the category taxonomy URI.

Specified by:
  `setTaxonomyUri` in interface `SyndCategory`
Parameters:
  `taxonomyUri` - the category taxonomy URI to set, null if none.